class TokenServer {
  async page(row) {
    return window.framework.http.post("/biz_token/page", row);
  }

  async create(row) {
    return window.framework.http.post("/biz_token/create", row);
  }

  async edit(row) {
    return window.framework.http.post("/biz_token/edit", row);
  }

  async revoke(row) {
    return window.framework.http.post("/biz_token/revoke", row);
  }

  async regenerate(row) {
    return window.framework.http.post("/biz_token/regenerate", row);
  }

  async exportRows(row) {
    return window.framework.http.post("/biz_token/export", row);
  }
}

export default new TokenServer();
